<?php
session_start();
require_once("../connexionBD.php");
require_once("../ressources/trajet.php");
require_once("../ressources/user.php");

//Si on est pas connecté redirection vers la page de connexion
if (!isset($_SESSION['mail'])) {
    header('Location: ../index.php');
    exit();
}
$mail = $_SESSION['mail'];

?>
<!DOCTYPE html>
<html lang="fr">
<head>
    <meta charset="UTF-8">
    <link rel="stylesheet" href="liste_trajet_publie.css">
    <link rel="stylesheet" href="../ressources/navbarhtml.css">
    <link rel="icon" href="../ressources/favicon.ico"/>
    <title>Liste des trajets publiés</title>
</head>
<body>
<?php
require_once("../ressources/navbarhtml.php");
?>
<div id="container">
    <div id="entete">
        <a href="../tableauBord/tableauBord.php"><img id="bouton_retour" src="../ressources/image/return.png"
                                                      alt="Bouton retour"></a>
        <h1 class="float" id="titre">Liste des trajets publiés</h1>
        <br>
        <h2>Trajets publiés : </h2>
    </div>
    <div id="liste">
        <table>
            <?php
            $result = pg_query_params($db, "SELECT * FROM Trajet Where mailproposition = $1 AND estannule = false ORDER BY datedepart DESC;", array($mail));
            while ($row = pg_fetch_array($result)) {
                $login = getLogin($db, $mail);
                $date_depart = $row['datedepart'];
                $codetrajet = $row['codetrajet'];
                $source = getDepart($db, $codetrajet);
                $dest = getFin($db, $codetrajet);
                $date = date('Y-m-d H:i:s');
                echo "<tr><td class='ligne'><hr class='separation'/></td><td class='info'>";
                echo "<p>$date_depart - ".$source['nomville']." (".$source['codepostal'].") vers ".$dest['nomville']." (".$dest['codepostal'].") proposé par : $login</p></td>";
                if ($date <= $row['datearrivee']){
                    echo "<td><a href='annulerTrajet.php?codetrajet=$codetrajet'>Annuler le trajet</a></td>";
                }
                else{
                    echo "<td class='info'><p>Trajet effectué</p></td>";
                }
                echo "</tr>";
            }
            ?>
        </table>
    </div>
</div>
</body>
</html>
