<?php
session_start();
require_once("../connexionBD.php");
require_once("../ressources/trajet.php");

//Si on est pas connecté redirection vers la page de connexion
if (!isset($_SESSION['mail'])) {
    header('Location: ../index.php');
    exit();
}
$mail = $_SESSION['mail'];

?>
<!DOCTYPE html>
<html lang="fr">
<head>
    <meta charset="UTF-8">
    <link rel="stylesheet" href="liste_trajet_reserve.css">
    <link rel="stylesheet" href="../ressources/navbarhtml.css">
    <link rel="icon" href="../ressources/favicon.ico"/>
    <title>Liste des trajets réservés</title>
</head>
<body>
<?php
require_once("../ressources/navbarhtml.php");
?>
<div id="container">
    <div id="entete">
        <a href="../tableauBord/tableauBord.php"><img id="bouton_retour" src="../ressources/image/return.png"
                                                      alt="Bouton retour"></a>
        <h1 class="float" id="titre">Liste des trajets réservés</h1>
        <br>
    </div>
    <div id="liste">
        <table>
            <?php
            $result = pg_query_params($db, "SELECT DISTINCT ut.login as login, tr.* FROM utilisateur ut, trajet tr, reserver re WHERE ut.mail = re.mailutilisateur AND re.codetrajet = tr.codetrajet AND re.mailutilisateur = $1 AND tr.estannule = false ORDER BY datedepart DESC;", array($mail));
            while ($row = pg_fetch_array($result)) {
                $login = $row['login'];
                $date_depart = $row['datedepart'];
                $codetrajet = $row['codetrajet'];
                $source = getDepart($db, $codetrajet);
                $date = date('Y-m-d H:i:s');
                $dest = getFin($db, $codetrajet);
                echo "<tr><td class='ligne'><hr class='separation'/></td>";
                echo "<td class='info'><p>$date_depart - ".$source['nomville']." (".$source['codepostal'].") vers ".$dest['nomville']." (".$dest['codepostal'].") proposé par : $login</p></td>";

                if ($date <= $row['datearrivee']){
                    echo "<td><a href='annulerReservation.php?codetrajet=$codetrajet'>Annuler la reservation</a></td>";
                }
                else{
                    echo "<td class='info'><p>Trajet effectué</p></td>";
                }
                if (!avisExiste($db, $mail, $codetrajet)){
                    echo "<td><a href='../deposer_avis/deposer_avis.php?codetrajet=$codetrajet'>Déposer un avis</a></td>";
                }
                echo "</tr>";
            }
            ?>
        </table>
    </div>
</div>
</body>
</html>
